/*
 * This file is a part of SkyMM-NX.
 * Copyright (c) 2019, Max Roncace <mproncace@gmail.com>
 *
 * The MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#pragma once

#include "mod.hpp"

#include <inipp/inipp.h>

#define INI_SECTION_ARCHIVE "Archive"
#define INI_ARCHIVE_LIST_1 "sResourceArchiveList"
#define INI_ARCHIVE_LIST_2 "sResourceArchiveList2"
#define INI_ARCHIVE_LIST_3 "sArchiveToLoadInMemoryList"

typedef inipp::Ini<char> StdIni;

int readIniFile(std::string &path, StdIni &ini);

int readIniFile(const char *path, StdIni &ini);

int processIniDefs(StdIni &ini, const char *key, const std::vector<std::string> &expected_suffixes);

int parseInis(ModList &final_mod_list, ModList &temp_mod_list);

int writeIniChanges(void);
